com.ihr.xbrl.om

## Enum XBRLValidationReport.ReportParts

- java.lang.Object
- - java.lang.Enum<XBRLValidationReport.ReportParts>
  - - com.ihr.xbrl.om.XBRLValidationReport.ReportParts

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLValidationReport.ReportParts>
  Enclosing class:
    XBRLValidationReport

      public static enum XBRLValidationReport.ReportParts
      extends java.lang.Enum<XBRLValidationReport.ReportParts>

  This enumeration can be used by report serializers.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSERTIONS` The assertions.
    `ERRORS` The errors.
    `INCONSISTENCIES` The inconsistencies.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLValidationReport.ReportParts` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLValidationReport.ReportParts[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERRORS

          public static final XBRLValidationReport.ReportParts ERRORS

      The errors.

    - #### INCONSISTENCIES

          public static final XBRLValidationReport.ReportParts INCONSISTENCIES

      The inconsistencies.

    - #### ASSERTIONS

          public static final XBRLValidationReport.ReportParts ASSERTIONS

      The assertions.

  - ### Method Detail

    - #### values

          public static XBRLValidationReport.ReportParts[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLValidationReport.ReportParts c : XBRLValidationReport.ReportParts.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLValidationReport.ReportParts valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null